com.ihr.xbrl.om.errors

## Class XBRLInconsistency

- java.lang.Object
- - com.ihr.xbrl.om.errors.XBRLInconsistency

- Direct Known Subclasses:
    EFMValidationInconsistency, UTRValidationInconsistency, XBRLFormulaInconsistencyOnFactVariable, XBRLFormulaInconsistencyOnGeneralVariable, XBRLFormulaInconsistencyOnXFIFunction, XBRLInconsistencyCalculationMismatch, XBRLInconsistencyCalculationPeriodTypeMismatch, XBRLInconsistencyCalculationSkipped, XBRLInconsistencyComparingWithZeroPrecisionZero, XBRLInconsistencyDTSDiscovery, XBRLInconsistencyRoundToPrecision0, XBRLInconsistencyURINotAbsolute, XBRLInconsistencyXMLWarning

      public abstract class XBRLInconsistency
      extends java.lang.Object

  Class to store information about each inconsistency found in the XBRL document .
  Author:
    Ignacio

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `XBRLInconsistency.Contributor` Used to keep track of elements involved in the calculation.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ASSERTION_EVALUATION_FAILED` The Constant ASSERTION_EVALUATION_FAILED.
    `static int` | `CALCULATION_COMPARISON_OF_NUMBER_WITH_ZERO_PRECISION_ZERO` The Constant CALCULATION_COMPARISON_OF_NUMBER_WITH_ZERO_PRECISION_ZERO.
    `static int` | `CALCULATION_INCONSISTENCY_PERIOD_TYPES_MISTMATCH` The Constant CALCULATION_INCONSISTENCY_PERIOD_TYPES_MISTMATCH.
    `static int` | `CALCULATION_MISTMATCH` The Constant CALCULATION_MISTMATCH.
    `static int` | `CALCULATION_RULE_SKIPPED_BY_DUPLICATE` The Constant CALCULATION_RULE_SKIPPED_BY_DUPLICATE.
    `static int` | `DTS_DISCOVERY_FILE_NAME_DIFFERS` The Constant DTS_DISCOVERY_FILE_NAME_DIFFERS.
    `static int` | `FORMULA_FACT_VARIABLE_FILTER_XPATH_EXCEPTION` The Constant FORMULA_FACT_VARIABLE_FILTER_XPATH_EXCEPTION.
    `static int` | `FORMULA_GENERAL_VARIABLE_FILTER_XPATH_EXCEPTION` The Constant FORMULA_GENERAL_VARIABLE_FILTER_XPATH_EXCEPTION.
    `static int` | `FORMULA_INCONSISTENCY_ON_XFI_FUNCION` The Constant FORMULA_INCONSISTENCY_ON_XFI_FUNCION.
    `static int` | `NUMBER_ROUNDED_TO_PRECISION_ZERO` The Constant NUMBER_ROUNDED_TO_PRECISION_ZERO.
    `static int` | `URI_IS_NOT_ABSOLUTE` The Constant URI_IS_NOT_ABSOLUTE.
    `static int` | `UTR_INCONSISTENCY` The Constant UTR_INCONSISTENCY.
    `static int` | `XML_WARNING` The Constant XML_WARNING.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLInconsistency(int code, java.lang.String message)` Instantiates a new XBRL inconsistency.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getCode()` Gets the code.
    `java.lang.String` | `getLocalizedMessage()` Gets the localized message.
    `java.lang.String` | `getMessage()` Gets the message.
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CALCULATION_MISTMATCH

          public static final int CALCULATION_MISTMATCH

      The Constant CALCULATION_MISTMATCH.
      See Also:
        Constant Field Values

    - #### CALCULATION_RULE_SKIPPED_BY_DUPLICATE

          public static final int CALCULATION_RULE_SKIPPED_BY_DUPLICATE

      The Constant CALCULATION_RULE_SKIPPED_BY_DUPLICATE.
      See Also:
        Constant Field Values

    - #### CALCULATION_COMPARISON_OF_NUMBER_WITH_ZERO_PRECISION_ZERO

          public static final int CALCULATION_COMPARISON_OF_NUMBER_WITH_ZERO_PRECISION_ZERO

      The Constant CALCULATION_COMPARISON_OF_NUMBER_WITH_ZERO_PRECISION_ZERO.
      See Also:
        Constant Field Values

    - #### CALCULATION_INCONSISTENCY_PERIOD_TYPES_MISTMATCH

          public static final int CALCULATION_INCONSISTENCY_PERIOD_TYPES_MISTMATCH

      The Constant CALCULATION_INCONSISTENCY_PERIOD_TYPES_MISTMATCH.
      See Also:
        Constant Field Values

    - #### URI_IS_NOT_ABSOLUTE

          public static final int URI_IS_NOT_ABSOLUTE

      The Constant URI_IS_NOT_ABSOLUTE.
      See Also:
        Constant Field Values

    - #### XML_WARNING

          public static final int XML_WARNING

      The Constant XML_WARNING.
      See Also:
        Constant Field Values

    - #### FORMULA_FACT_VARIABLE_FILTER_XPATH_EXCEPTION

          public static final int FORMULA_FACT_VARIABLE_FILTER_XPATH_EXCEPTION

      The Constant FORMULA_FACT_VARIABLE_FILTER_XPATH_EXCEPTION.
      See Also:
        Constant Field Values

    - #### FORMULA_GENERAL_VARIABLE_FILTER_XPATH_EXCEPTION

          public static final int FORMULA_GENERAL_VARIABLE_FILTER_XPATH_EXCEPTION

      The Constant FORMULA_GENERAL_VARIABLE_FILTER_XPATH_EXCEPTION.
      See Also:
        Constant Field Values

    - #### FORMULA_INCONSISTENCY_ON_XFI_FUNCION

          public static final int FORMULA_INCONSISTENCY_ON_XFI_FUNCION

      The Constant FORMULA_INCONSISTENCY_ON_XFI_FUNCION.
      See Also:
        Constant Field Values

    - #### UTR_INCONSISTENCY

          public static final int UTR_INCONSISTENCY

      The Constant UTR_INCONSISTENCY.
      See Also:
        Constant Field Values

    - #### ASSERTION_EVALUATION_FAILED

          public static final int ASSERTION_EVALUATION_FAILED

      The Constant ASSERTION_EVALUATION_FAILED.
      See Also:
        Constant Field Values

    - #### DTS_DISCOVERY_FILE_NAME_DIFFERS

          public static final int DTS_DISCOVERY_FILE_NAME_DIFFERS

      The Constant DTS_DISCOVERY_FILE_NAME_DIFFERS.
      See Also:
        Constant Field Values

    - #### NUMBER_ROUNDED_TO_PRECISION_ZERO

          public static final int NUMBER_ROUNDED_TO_PRECISION_ZERO

      The Constant NUMBER_ROUNDED_TO_PRECISION_ZERO.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XBRLInconsistency

          public XBRLInconsistency(int code,
                           java.lang.String message)

      Instantiates a new XBRL inconsistency.
      Parameters:
        `code` - the code
        `message` - the message

  - ### Method Detail

    - #### getMessage

          public java.lang.String getMessage()

      Gets the message.
      Returns:
        the message

    - #### getLocalizedMessage

          public java.lang.String getLocalizedMessage()

      Gets the localized message.
      Returns:
        the localized message

    - #### getCode

          public int getCode()

      Gets the code.
      Returns:
        the code

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`